export default class JDLField {
    name: any;
    type: any;
    comment: any;
    validations: any;
    options: any;
    constructor(args: any);
    addValidation(validation: any): void;
    forEachValidation(functionToApply: any): void;
    validationQuantity(): number;
    forEachOption(functionToApply: any): void;
    optionQuantity(): number;
    toString(): string;
}
